MyCafeCup Software

Welcome to MyCafeCup Platinum.

- Installation Guide -

MyCafeCup Platinum

The Ultimate Internet Cafe / Cyber Cafe Management Software Solution.

Home page : | Home Page http://www.MyCafeCup.com
E-mail : | Contact E-mail Info@mycafecup.com


Introduction to MyCafeCup Software

Introduction to MyCafeCup.

The concept of MyCafeCup :

MyCafeCup is the application for reducing the manual and complicated operation of Internet Cafe / Cyber Cafe / Gaming Cafe / Online Game Center or PC-rental shops such as the calculation of usage amount, income collection, reporting, shop's keeper corruption.

The general PC-rental shop service charge comes from the calculation of the amount of usage time. The mainly concept of MyCafeCup processing is a selling the "Coupon"(sometime called Time Code, Ticket or Account coupon ) to limit the usable usage time of each customer. The owner just prepare the coupon prerior to sell to the customers. The customer just log-on to any available machine to entering using the machine the the system will automatically count the usage time and also convert to be the service amount in real-time. Once the amount on the coupon is zero, the system will lock the screen immediately (you can configure the system to send the warning message to the user screen about a few minute left). If the customer log-out from the system but the coupon still have the amount, the customer can still log-on in any time as they want.

There are 4 kinds of customer accounts in MyCafeCup for compeltely support for any marketing of the shop. (Pre-Paid coupon, Pre-Paid Add-On coupon, Post-Paid coupon, Post-Paid coupon for thusted member, Post-Paid coupon-Less.)

You can setup the usage rate related to time-schedule freely, means you can enhance your marketing plan much easier than the original manual processing. Since first time you plan to use the "Normal Limited Amount" coupon, you will get more extra cash-flow immediately.

The system will automatically keep the fully detail of overall system activate such as usage history of user,total income(daily, weekly, monthly and yearly), log-in/ log-out history of administrator, the opening/closing time of the system, reporting and etc...

Why you have to use MyCafeCup?
  • You will get more of your free time automatically.
  • No more note for the time of incoming/outgoing users.
  • No more worries about the over usage time of users.
  • No more worries about the employee corruption.
  • No more problem about settling the total income to any of your Cafe' share holders.
  • Immediately increasing your "Cash-Flow" by "Normal Limited Account" user type (Pre-Paid account).
  • Easier calculate the usage amount by "Unlimited Account" user types (Post-Paid account)
  • High Security for prevent unauthorized person using the machine.
  • Enhance your cafe look to be as same as professional shop.
  • It has been developed with the superior development tools from the creator of "Microsoft Windows O/S" as same as your machine O/S, so It has fully compatible, reliability, and efficiency while it is running.
  • Reasonable pricing.
  • No hidden cost, such as database engine, special hardware devices, etc..
  • No complicated process of installation and usage, so you can re-install the software yourself easily without asking for the software engineer or other specilist.
  • MyCafeCup system can work together with Windows XP-Service Pack 2 Firewall (The new windows enhance security feature), no special configuration required. (You don't have to disable the windows firewall)
  • Automatic data synchronization between server and clients, so in case of emergency with the server (Power black-out, physical network failure, etc... ) the server can be shuted-down temporary without the interupting the user whom using the client machines.
  • Easily blocking applications and web sites browsing with "Keyword filtering".
  • Remote Viewer for viewing the server status remotely. (Both directly by Plug-in application or common web browser)
  • Windows 7 ready! both x86 x64.
  • You can extend your services in the future by using EvoSpot WiFi Hostpot Plug-in (Sold separately). Using the same user database and server.
  • Etc., there are many more features and do not wait for download and test. So you will understand Why we still have new members almost everyday.


System Components

MyCafeCup is a Client / Server type application and run over the TCP/IP networking protocol. Means there are mainly two components, that are server-side and client-side applications.

MyCafeCup Server : The system centralized control application for real-time online manage all of your machines over the network. And it's also open for the services to the client-side application such as user authentication, usage history, statistic, report generating and etc.

MyCafeCup Client : The system guard for every service machines(clients) and the main function is screen locking to prevent the unauthorized user using the machine.

MyCafeCup Installer : The My Cafe' Cup applications installer, add/remove components, repairing and un-installing. (mycafecup.exe)


System Components

System Requirement

MyCafeCup Server : (Any machine that MS Windows working on)
  • 500 MHz+, x86 x64 CPU 100% Compatible (Intel CPUs are recommended)
  • 64 MB Ram System Memory
  • 64 MB Available Hard Disk Space
  • Microsoft Windows XP (SP2+) / 2003 (R2) / Vista (32-64 bit) / Windows 7 (32-64 bit) / 2008 (32-64 bit) or new comming MS O/S.
  • Network Card with Standard TCP/IP Networking Protocol (Static IP Address strongly recommended)
  • Printer (Local or network).
MyCafeCup Client : (Any machine that MS Windows working on)
  • 300 MHz+, x86 x64 CPU 100% Compatible (Intel CPUs are recommended)
  • 64 MB Ram System Memory
  • 15 MB Available Hard Disk Space
  • Microsoft Windows XP (SP2+) / 2003 (R2) / Vista (32-64 bit) / Windows 7 (32-64 bit) / 2008 (32-64 bit) or new comming MS O/S.
  • Network Card with Standard TCP/IP Networking Protocol


Introduction to MyCafeCup Software

Limitation of Evaluation Version (Trial version)

If you are installing an Evaluation Version, which is for evaluation purpose only. So there are some limitation as follows :
  • Maximum 5 client machines.
  • Maximum creation of 1,000 users. ( the current user still valid until expires)
  • Unable to service the " Unlimited Freeze" account type.
  • The "System Policies" features has been disabled.
  • Unable to change an "Emergency Code".
For registered version : you have to register directly from only "MyCafeCup.com".
  • Maximum services to clients is depend on the number of your registering ordered.
  • All above limitation of evaluation version will be enabled.
  • Do not use any ILLEGAL / CRACKED / HACKED licenses.
  • Please e-mail us, if you have found any above licenses.


System Components

Installation

If you are new in MyCafeCup

  • Please read the "System Requirement" topic to preparing the suitable machines.
  • For evaluating, prepare at least two machines for separate the server-side and client-side,eventhought you can install Server-side and client-side within the same machine. This is the best way that you can get well understanding in MyCafeCup processing.
  • MyCafeCup Client requires the automatically windows's log-on for operating system, because MyCafeCup Client will take over the system authorization when working. You can easier configure (for Windows95/98/98se/Me) by
    • 1) reboot the machine
    • 2) enter any new user code without entering any password
  • The server machine you have to correctly installing the printer driver for using the report function.
  • Before starting to install mycafecup, please CLOSE all running resident process/programs including ANTI-VIRUS/ ANTI-SPYWARE and all system utility.
  • Ensure you already have got an "Emergency Code".
  • Static IP Address for every machine recommended.
  • There are no important information on every machine you going to install.
  • Please do not hesitate to e-mail us at " [image] info@mycafecup.com" whenever you have got any problems.
  • The installer file is available for download from Home Page MyCafeCup Homepage.
  • The MyCafeCup Platinum installer file is about 6.90 MB in size. (Please ensure you have download it completely)
Emergency Code : in any emergency situation or when you have misunderstanding using this software, you can log-on the mycafecup both Server and Client with this code.

User Code : | Start
Password : | Evaluation
  • Both 'User Code' and 'Password' are letters case sensitive.


System Components

Installation - MyCafeCup Server

Step by Step for installing MyCafeCup Server
 | Before starting to install mycafecup, please CLOSE all running resident process/programs including ANTI-VIRUS/ ANTI-SPYWARE and all system utility.
1 | Run (Right Click and Open ) the mycafecup installer file from your download folder or CD rom. Then click ":OK" button to continue.
2 | Follows the installer wizard by click "Next" to read carefully "User's License.agreement". If you are Agree click "I Agree" to continue.
3 | Choose "Server" to install the mycafecup server .& documents. ( [image] the default selection is to install the "Client") then click next to start copy the neccessary files in to the machine.
4 | After file copying has finished. REBOOT the machine to complete the installation.
 | Now, you can launch the mycafecup server at <Start Menu>/ <Programs> / <MyCafeCup Platinum> Folder.
 | --> [image] CafeCup Server


System Components

Installation - MyCafeCup Client

Step by Step for installing MyCafeCup Client
 | Before starting to install mycafecup, please CLOSE all running resident process/programs including ANTI-VIRUS/ ANTI-SPYWARE and all system utility.
1 | Run (Right Click and Open ) the mycafecup installer file from your download folder or CD rom. Then click ":OK" button to continue.
2 | Follows the installer wizard by click "Next" to read carefully "User's License.agreement". If you are Agree click "I Agree" to continue.
3 | Choose "Client" to install the mycafecup client.
4 | After file copying has finished. REBOOT the machine to complete the installation.
 | Now, you can launch the mycafecup client at <Start Menu>/ <Programs> / <MyCafeCup Platinum> Folder.
 | --> [image] CafeCup Client
 | At the first time running mycafecup client, the program will first asking for the server IP Address. Don't worry, the software will scan for your server automatically. (Note : Please ensure that the mycafecup server is running.)


System Components

Upgrade instruction guide (from older version)

Recommendation note before upgrade the existing to latest release of MyCafeCup Platinum (Please read carefully)

  • If you want to install the mycafecup platinum in to the machine that has not been installed, please read the "Installation" topic above instead.
  • If you have the upgrade file set (zipped file) please unzip (extract) a file named "upgrade.txt" or "readme.txt" for upgrade instruction. (Each version might have the difference upgrade instruction).
  • Generally the any new releases of MyCafeCup Platinum won't requires any special hardware or software other than the original release, except if we annouced on the web site.
  • You HAVE TO Backup the current database before start to upgrade. (At the "Backup-Restore" tab in MyCafeCup Server or just simply make a copy of the whole installed folder of mycafecup server).
  • The good time for upgrading is the closed time of the shop.
  • Do the step-by-step below for upgrading both server and client to ensure that everthings will be updated successfully.
Upgrading the MyCafeCup Server (with the full installation file)
  1. CLOSE all of mycafecup client programs on every machines ( log-on with "Emergency Code" and choose the last option named "Remove from auto startup and all policies setting" ).
  2. CLOSE all running programs including any resident process such as ANTI-VIRUS, ANTI-SPYWARE and all other system utilty programs.
  3. Backup the current database. (At the "Backup-Restore" tab in MyCafeCup Server or just simply make a copy of the whole installed folder of mycafecup server).
  4. Close MyCafeCup Server Program.
  5. Un-install the existing MyCafeCup Server (from <Control Panel>/<Add-Remove Programs>), then Install MyCafeCup Server with the new downloaded installer file.
  6. Re-boot the machine once.
  7. Run MyCafeCup Server and check the Version ( Top-Left of the screen, or at the "MyCafeCup" tab)
  8. Close MyCafeCup Server and Open it again.
Note : In some of new version, when you runthe mycafecup server for the first time. The mycafecup server will take a bit longer to start itself successfully. (Might take upto 10-15 mins) Please just wait until it finished upgrading.
Upgrading the MyCafeCup Client (manually upgrade with the full installation file)
  1. CLOSE all of mycafecup client programs on every machines ( log-on with "Emergency Code" and choose the last option named "Remove from auto startup and all policies setting" ).
  2. CLOSE all running programs including any resident process such as ANTI-VIRUS, ANTI-SPYWARE and all other system utilty programs.
  3. If you have configured the "Advance Option" in the client, then copy file named "BList.txt" (C:\Program Files\CafeCupPlatinum\BList.txt) for backup.
  4. Un-install the existing MyCafeCup Server (from <Control Panel>/<Add-Remove Programs>).
  5. Re-boot the machine once.
  6. Install MyCafeCup Client with the new downloaded installer file and copy the file "BList.txt" (from step 3) back.
  7. Re-boot the machine once.
  8. Run MyCafeCup Client and check the Version ( Bottom-Right of the locking screen)
Note : If there is a kind of "Un-Do, Re-Do, Partition Recovery" Hardware or Software installed in the machine, Do not for get to update their image partition after sucessfully update the mycafecup client.
Upgrading the MyCafeCup Client Remotely from Server.
  1. MyCafeCup Client supports the "Remotely Update" directly from the server, If you are using very old version, then please follow the manual updating instruction above.
  2. Upgrade MyCafeCup Server Machine with selecting full install (Server/Client) with the above "Upgrading MyCafeCup Server" instruction.
  3. CLOSE all running programs including any resident process such as ANTI-VIRUS, ANTI-SPYWARE and all other system utilty programs in all client machine.
  4. Double Click at any client in "Online" tab and choose "Client Information". If the Client is older version and ready to upgrade, the "Update Client" button will be appeared.
  5. Ensure that there is nobody trying to use the machine, then press "Update Client" and wait for 10-20 seconds.
  6. After 10-20 seconds, client will be self-refreshed and re connect back to the server, now re-check the version of client to ensure that it has been upgraded. (Reboot the machine before start service to the customer)
  7. Some Client may required system reboot to be upgraded successfully.


MyCafeCup Software

Welcome to MyCafeCup Platinum.

MyCafeCup Platinum

The Ultimate Internet Cafe / Cyber Cafe Management Software Solution.

Visit our homepage | Home Page http://www.MyCafeCup.com
To purchase MyCafeCup Platinum | Contact E-mail info@mycafecup.com

Cool Link !

Cafe de Bangkok.com


System Components

Evaluation-Version : End-User License Agreement ("EULA").

MyCafeCup Platinum ® Copyright © 1999-2013 by MyCafeCup Software.
All rights reserved.

This license applies to the evaluation version of MyCafeCup.

MyCafeCup License
Evaluation Version
MyCafeCup Software.
Your Agreement to this License
By using, copying, transmitting, distributing or installing MyCafeCup Platinum ("MyCafeCup"), you agree to all of the terms of this agreement (“License”).

Please read the license terms below. If you do not agree to all of the terms of this License, then do not use, copy, transmit, distribute, or install MyCafeCup.

Scope of License
This is not free software. Subject to the terms below, you are hereby licensed by MyCafeCup Software. to use one copy of MyCafeCup, on one (1) computer or workstation, for evaluation purposes without charge for a 1,000 accounts. If you use this software after the 100 accounts evaluation period a registration fee is required. See the MyCafeCup web site at http://www.MyCafeCup.com for information about ordering and quantity discounts.

Unregistered use of MyCafeCup 1,000 accounts evaluation period is in violation of Thailand and international copyright laws.
You may, without making any payment to MyCafeCup Software:

a) give exact copies of this evaluation version of MyCafeCup personally to anyone, except for the purpose of extending their 1,000 accounts;
b) distribute exact copies of this evaluation version of MyCafeCup, if done exclusively through electronic channels; and
c) make as many exact copies of this evaluation version of MyCafeCup as you wish, for purposes of distribution as described in (a) and (b) above.

You are specifically prohibited from charging, or requesting donations, for any copies, however made, and from distributing such copies with other products of any kind, commercial or otherwise, without prior written permission from MyCafeCup Software. MyCafeCup Software reserves the right to revoke the above distribution rights at any time, for any or no reason.

All rights of any kind in MyCafeCup which are not expressly granted in this License are entirely and exclusively reserved to and by MyCafeCup Software. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, MyCafeCup. You may not make access to MyCafeCup available to others in connection with a service bureau, application service provider, or similar business.

Warranty Disclaimers and Liability Limitations

MyCafeCup, and any and all accompanying software, files, data and materials, are distributed and provided “AS IS” and with no warranties of any kind, whether express or implied. You acknowledge that good data processing procedure dictates that any program, including MyCafeCup, must be thoroughly tested with non-critical data before you rely on it, and you hereby assume the entire risk of using the program. This disclaimer of warranty constitutes an essential part of this License.

Any liability of MyCafeCup Software will be limited exclusively to refund of purchase price, if any. In addition, in no event shall MyCafeCup Software, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any indirect, incidental, consequential, or punitive damages whatsoever relating to the use of MyCafeCup, or to your relationship with MyCafeCup Software.

In addition, in no event does MyCafeCup Software authorize you to use MyCafeCup in applications or systems where MyCafeCup's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use by you is entirely at your own risk, and you agree to hold MyCafeCup Software harmless from any and all claims or losses relating to such unauthorized use.

General

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. This License shall be governed by the laws of Thailand, without regard to Thailand choice-of-law rules. Exclusive jurisdiction and venue for all matters relating to this License shall be in courts and fora located in Thailand, and you consent to such jurisdiction and venue. There are no third party beneficiaries of any promises, obligations or representations made by MyCafeCup Software herein. Any waiver by MyCafeCup Software of any violation of this License by you shall not constitute, nor contribute to, a waiver by MyCafeCup Software of any other or future violation of the same provision, or any other provision, of this License.

Copyright © 1999-2013 by MyCafeCup Software. All rights reserved.